Name:           perl-BadTraffic
Version:        1.6.9
Release:        5.vision4
Summary:        Perl extension for automatic firewall management
License:        CHECK(GPL+ or Artistic)
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/BadTraffic/
Source0:        http://www.cpan.org/modules/by-module/BadTraffic/BadTraffic-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl(DBD::mysql)
BuildRequires:  perl(DBI)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Net::CIDR::Lite)
BuildRequires:  perl(JSON)
BuildRequires:  perl(LWP)
Requires:       perl(DBD::mysql)
Requires:       perl(DBI)
Requires:       perl(Net::CIDR::Lite)
Requires:       perl(JSON)
Requires:       perl(LWP)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
BadTraffic reads and writes to a MySQL database and blocks traffic
according entries found. It provides facilities for whitelisting addresses
or networks, as well as variable length blocks based on the idea of "repeat
offenders".

%prep
%setup -q -n BadTraffic-%{version}

rm -f pm_to_blib

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
#make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Mon Mar 30 2015 Charles Brabec brabec@ncsu.edu - 1.6.9-5
- fixes bug when category passed to static cache functions is undef

* Thu Mar 26 2015 Charles Brabec brabec@ncsu.edu - 1.6.9-4
- fixes debug messages so they don't get grabbed by puppet

* Wed Mar 25 2015 Charles Brabec brabec@ncsu.edu - 1.6.9-3
- added get_recent_static call
- reverted so most old read calls use cache if possible
- added NOCACHE param to prevent this

* Tue Mar 24 2015 Charles Brabec brabec@ncsu.edu - 1.6.9-2
- version 1.6.9 with static json file cache
- including code for json cached whitelists
- adds get_static_blocks and get_static_whites

* Wed Jun 18 2014 Charles Brabec brabec@ncsu.edu - 1.6.8-2
- moved to vision3 public repo
- adds missing perl requires

* Tue Feb 11 2014 Charles Brabec brabec@ncsu.edu - 1.6.8-1
- fixes for comment and cidr mismatches

* Tue Sep 17 2013 Charles Brabec brabec@ncsu.edu - 1.6.6-1
- fixed db disconnect bug in restored routine
- fixed fw_block to use ip/32 in iptables

* Fri Sep 13 2013 Charles Brabec brabec@ncsu.edu - 1.6.5-2
- restored removed count routine

* Fri Sep 13 2013 Charles Brabec brabec@ncsu.edu - 1.6.4-1
- better caching of cidr lists

* Thu Sep 12 2013 Charles Brabec brabec@ncsu.edu - 1.6.3-1
- new tools and better searches

* Tue Sep 10 2013 Charles Brabec brabec@ncsu.edu - 1.6.1-1
- added category include lists
- bugfix for FW_TYPE

* Mon Sep  9 2013 Charles Brabec brabec@ncsu.edu - 1.5.0-2
- remastered code to github.ncsu.edu

* Thu May 23 2013 Breandan Dezendorf bwdezend@ncsu.edu 1.5.0
- Added initial ipset support as a _FW_TYPE
- Added 'get_db_block_reasons' function

* Wed Jun 06 2012 Breandan Dezendorf bwdezend@ncsu.edu 1.4.1
- Block rules now have comments, so puppet interoperates

* Wed Apr 11 2012 Breandan Dezendorf bwdezend@ncsu.edu 1.4
- Made whitelist block entries respect categories

* Tue Mar 06 2012 Breandan Dezendorf bwdezend@ncsu.edu 1.3.5
- Added a '.*' category that always matches, regardless of the string passed to get_db_blocks()

* Wed Aug 31 2011 Breandan Dezendorf bwdezend@ncsu.edu 1.3.2
- CIDR objects passed everywhere - no more hashes or strings
- cidr_subtract added
- Better error handling and some code cleanup

* Tue Jul 05 2011 Breandan Dezendorf bwdezend@ncsu.edu 1.1.1
- Added verbosity flags everwhere
- made wl_add and db_block code similar
- fixed the last of the /32 bugs

* Wed Jun 29 2011 Breandan Dezendorf bwdezend@ncsu.edu 1.0.1
- Fixed typos in documentation
- Removed references to load_config()
- Fixed bugs for CIDR notation where /32 would be added to IP addresses regardless

* Thu Jun 23 2011 Breandan Dezendorf bwdezend@ncsu.edu 1.0
- First production release
- Cleaned up IPv4 vs CIDR addresses (all CIDR now)
- Fixed Solaris route/netmask issue

* Tue Jun 14 2011 Breandan Dezendorf bwdezend@ncsu.edu 0.9
- Finished documentation
- Finished OO redesign
- Added Solaris route -blackhole support
- Removed AppConfig

* Fri Jun 03 2011 Breandan Dezendorf bwdezend@ncsu.edu 0.6-1
- Specfile autogenerated by cpanspec 1.78.
